Actualiza campos estándar y/o personalizados de un chat user
curl --request PATCH \
--url https://api-v2.sofiachat.com/api/v1/chat-users/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"standardFields": {
"name": "Juan Pérez",
"email": "juan.perez@example.com",
"phone": "+521 55 1234 5678",
"address": "Av. Reforma 123, CDMX",
"avatar": "https://cdn.sofiachat.com/avatars/juan.png"
},
"customFields": {
"empresa": "Mi Empresa SA",
"ciudad": "Buenos Aires",
"edad": "30"
}
}
'import requests
url = "https://api-v2.sofiachat.com/api/v1/chat-users/{id}"
payload = {
"standardFields": {
"name": "Juan Pérez",
"email": "juan.perez@example.com",
"phone": "+521 55 1234 5678",
"address": "Av. Reforma 123, CDMX",
"avatar": "https://cdn.sofiachat.com/avatars/juan.png"
},
"customFields": {
"empresa": "Mi Empresa SA",
"ciudad": "Buenos Aires",
"edad": "30"
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
standardFields: {
name: 'Juan Pérez',
email: 'juan.perez@example.com',
phone: '+521 55 1234 5678',
address: 'Av. Reforma 123, CDMX',
avatar: 'https://cdn.sofiachat.com/avatars/juan.png'
},
customFields: {empresa: 'Mi Empresa SA', ciudad: 'Buenos Aires', edad: '30'}
})
};
fetch('https://api-v2.sofiachat.com/api/v1/chat-users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Usuarios de chat
Actualiza campos estándar y/o personalizados de un chat user
PATCH
/
chat-users
/
{id}
Actualiza campos estándar y/o personalizados de un chat user
Authorizations
Path Parameters
Body
application/json
Response
200 - undefined

